Debian Bug report logs - #676931
gtkpod: FTBFS on kfreebsd-amd64: conflicting uint64_t definitions

version graph

Package: src:gtkpod; Maintainer for src:gtkpod is gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>;

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Sun, 10 Jun 2012 16:18:17 UTC

Severity: serious

Found in version gtkpod/2.1.2~beta2-1

Fixed in version gtkpod/2.1.2~beta2-2

Done: mfv.debian@gmail.com (Matteo F. Vescovi)

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=3534249&group_id=67873&atid=519273

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#676931; Package src:gtkpod. (Sun, 10 Jun 2012 16:18:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Sun, 10 Jun 2012 16:18:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gtkpod: FTBFS on kfreebsd-amd64: conflicting uint64_t definitions
Date: Sun, 10 Jun 2012 11:59:35 -0400
Source: gtkpod
Version: 2.1.2~beta2-1
Severity: serious
Justification: fails to build from source (but built successfully in the past)

gtkpod picks up two (formally) different definitions of uint64_t on
kfreebsd-amd64:

In file included from /usr/include/sys/kern/types.h:71:0,
                 from /usr/include/sys/kern/param.h:67,
                 from /usr/include/osreldate.h:1,
                 from /usr/include/x86_64-kfreebsd-gnu/sys/param.h:39,
                 from AtomicParsley.h:25,
                 from AP_commons.cpp:35:
/usr/include/sys/_stdint.h:69:21: error: conflicting declaration 'typedef __uint64_t uint64_t'
In file included from AP_commons.cpp:33:0:
AP_commons.h:45:28: error: 'uint64_t' has a previous declaration as 'typedef long long unsigned int uint64_t'

Could you please fix AP_commons.h to #include <stdint.h> rather than
trying to define (u)intN_t itself?

Thanks!




Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=3534249&group_id=67873&atid=519273'. Request was from Matteo F. Vescovi <mfv.debian@gmail.com> to control@bugs.debian.org. (Mon, 11 Jun 2012 07:27:10 GMT) Full text and rfc822 format available.

Reply sent to mfv.debian@gmail.com (Matteo F. Vescovi):
You have taken responsibility. (Tue, 12 Jun 2012 13:35:09 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Tue, 12 Jun 2012 13:35:11 GMT) Full text and rfc822 format available.

Message #12 received at 676931-close@bugs.debian.org (full text, mbox):

From: mfv.debian@gmail.com (Matteo F. Vescovi)
To: 676931-close@bugs.debian.org
Subject: Bug#676931: fixed in gtkpod 2.1.2~beta2-2
Date: Tue, 12 Jun 2012 13:32:35 +0000
Source: gtkpod
Source-Version: 2.1.2~beta2-2

We believe that the bug you reported is fixed in the latest version of
gtkpod, which is due to be installed in the Debian FTP archive:

gtkpod-data_2.1.2~beta2-2_all.deb
  to main/g/gtkpod/gtkpod-data_2.1.2~beta2-2_all.deb
gtkpod-dbg_2.1.2~beta2-2_amd64.deb
  to main/g/gtkpod/gtkpod-dbg_2.1.2~beta2-2_amd64.deb
gtkpod_2.1.2~beta2-2.debian.tar.gz
  to main/g/gtkpod/gtkpod_2.1.2~beta2-2.debian.tar.gz
gtkpod_2.1.2~beta2-2.dsc
  to main/g/gtkpod/gtkpod_2.1.2~beta2-2.dsc
gtkpod_2.1.2~beta2-2_amd64.deb
  to main/g/gtkpod/gtkpod_2.1.2~beta2-2_amd64.deb
libatomicparsley-dev_2.1.2~beta2-2_amd64.deb
  to main/g/gtkpod/libatomicparsley-dev_2.1.2~beta2-2_amd64.deb
libatomicparsley0_2.1.2~beta2-2_amd64.deb
  to main/g/gtkpod/libatomicparsley0_2.1.2~beta2-2_amd64.deb
libgtkpod-dev_2.1.2~beta2-2_amd64.deb
  to main/g/gtkpod/libgtkpod-dev_2.1.2~beta2-2_amd64.deb
libgtkpod1_2.1.2~beta2-2_amd64.deb
  to main/g/gtkpod/libgtkpod1_2.1.2~beta2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676931@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matteo F. Vescovi <mfv.debian@gmail.com> (supplier of updated gtkpod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Jun 2012 09:18:54 +0200
Source: gtkpod
Binary: gtkpod gtkpod-data gtkpod-dbg libgtkpod1 libgtkpod-dev libatomicparsley0 libatomicparsley-dev
Architecture: source amd64 all
Version: 2.1.2~beta2-2
Distribution: unstable
Urgency: low
Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Changed-By: Matteo F. Vescovi <mfv.debian@gmail.com>
Description: 
 gtkpod     - manage songs and playlists on an Apple iPod
 gtkpod-data - architecture-independent files for gtkpod
 gtkpod-dbg - debugging symbols for gtkpod
 libatomicparsley-dev - main library for atomic parsley in gtkpod, development kit
 libatomicparsley0 - main library for atomic parsley in gtkpod, shared library
 libgtkpod-dev - main library for the gtkpod package, development kit
 libgtkpod1 - main library for the gtkpod package, shared library
Closes: 676929 676931
Changes: 
 gtkpod (2.1.2~beta2-2) UNRELEASED; urgency=low
 .
   * debian/libatomicparsley0.symbols: symbols updated (Closes: #676929)
   * debian/control: pkg-kde-tools added to b-deps
   * debian/patches/: #0002 added to fix FTBFS on kBSD64 (Closes: #676931)
   * debian/watch: uscan opts updated
Checksums-Sha1: 
 6ec04529db1a011c478095a9eac0fe99287825b4 2638 gtkpod_2.1.2~beta2-2.dsc
 2b42c4e1eaf4dd0745559c8345df08373f950def 19521 gtkpod_2.1.2~beta2-2.debian.tar.gz
 dbd59cb8f7cb4c33b26d2b2d15f2c35743591b4c 498868 gtkpod_2.1.2~beta2-2_amd64.deb
 333ca677b171971d87fb6334720910e6bbfefbca 1477742 gtkpod-data_2.1.2~beta2-2_all.deb
 0b6cc1d2003af9a23675e1e29f9aad82081c55d4 1661828 gtkpod-dbg_2.1.2~beta2-2_amd64.deb
 709ca881c0ae38cd0846477d0e012b98dbc9dc36 291430 libgtkpod1_2.1.2~beta2-2_amd64.deb
 abb027dbc579dfa04281f74e2a3b91665b019962 338056 libgtkpod-dev_2.1.2~beta2-2_amd64.deb
 8d61846b6701cd6308bfa6d0bec25f766843e1b8 216494 libatomicparsley0_2.1.2~beta2-2_amd64.deb
 99a2e974a90a711e14b9c60d7e1330479642af25 148066 libatomicparsley-dev_2.1.2~beta2-2_amd64.deb
Checksums-Sha256: 
 0288331f2bef121e6fd6cb44494103d7208d674d4222fcab24803e090d25ecfe 2638 gtkpod_2.1.2~beta2-2.dsc
 6f7b0b97bdaa4ba527b704575caa510ba59998f598b8130f6584eff231907d41 19521 gtkpod_2.1.2~beta2-2.debian.tar.gz
 5fdcc65db822ec13e6fc8f1eb255d958eaec03e619e981ba63186a95d627d6e7 498868 gtkpod_2.1.2~beta2-2_amd64.deb
 3431fdeee4532e205d4625b5418ca33768bc21722c9ae2efe26cb718184ec934 1477742 gtkpod-data_2.1.2~beta2-2_all.deb
 44ecb8c8373ec967532f1bacf31e80408c8f1dd92bf9a15322af1fc452ac0038 1661828 gtkpod-dbg_2.1.2~beta2-2_amd64.deb
 f1bc4478b7f6e8efb37c058fc065123c5e7e293e55a67e728b20b093fe82428e 291430 libgtkpod1_2.1.2~beta2-2_amd64.deb
 759c7e35a2ad1fd238e20edc4dc5ec01e9a82a92e2496fc614200109264c3889 338056 libgtkpod-dev_2.1.2~beta2-2_amd64.deb
 d7c3b5276296161217454868be82158b7b9f147e928db519bc37b0288d9ca8be 216494 libatomicparsley0_2.1.2~beta2-2_amd64.deb
 3174e15120496e7ab109b72f0af4c8403955ec89b43610855aa820c028fe746b 148066 libatomicparsley-dev_2.1.2~beta2-2_amd64.deb
Files: 
 882f5912ea5b51a7452526c354263a76 2638 sound extra gtkpod_2.1.2~beta2-2.dsc
 af954ad264079a72a5d37bdc5a3e7959 19521 sound extra gtkpod_2.1.2~beta2-2.debian.tar.gz
 279cc97785fec76724de84d41b060a2c 498868 sound extra gtkpod_2.1.2~beta2-2_amd64.deb
 8342b86ae44e83a5dd9e3efbe983326b 1477742 sound extra gtkpod-data_2.1.2~beta2-2_all.deb
 30343094c2764e28aa437c8c1d8b06c1 1661828 debug extra gtkpod-dbg_2.1.2~beta2-2_amd64.deb
 80841799b3e7cbc7bb895b049d78c4d1 291430 libs extra libgtkpod1_2.1.2~beta2-2_amd64.deb
 8a280b779e65a22685c2c06635e6f231 338056 libdevel extra libgtkpod-dev_2.1.2~beta2-2_amd64.deb
 b6371e1c428276f37db03e93819e52f8 216494 libs extra libatomicparsley0_2.1.2~beta2-2_amd64.deb
 e9e3bea67c50d9e72c3152b7bb2c6c07 148066 libdevel extra libatomicparsley-dev_2.1.2~beta2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJP10DdAAoJEPvVIltYh1Kh0lsP/3qdU32wm/pMaT5w4e9N/zs6
P2DoNJZ3XbXeL+x8t7lLbmpd9T7+IFGLBx1ZedHOY5e5QU2z/egKDkrIv+gSsE7x
tsa9x2qeBN/idx3OuyJqUHF7PYMTC4piom2a1183otHk+NVX/goE+2kxiWD4fWfA
hOnko3j9bdT4Bo/BhUp+ewTziMnB+xTFoOL1qqO7+T8viL9UqHU+VIj7Ov2KflvV
oNhW3Y1YEUzNDl7cjJEBr0tSg8aSwrgaG+1I4yS76HB+OPUrZge68bSfinYEX1aG
rtsi2nDWKMBQ/kG+yTFqsywv5+BjfmwWoc4txMexfcD4+neweQY4VUyEdfm84aXJ
JICxNoA/r4ZIjArmj7D0BXFoAvY1xmDc+3sZHiTv96Wb59PQLVmDx9RrW9v7oA7b
Bw97ff3IuHiF18HlW8YYfcA12CP4jml0G2RaQ22ydCDfyvolLQbza/0rJiN/oRj8
kY8bi/zIIlhsl5UHWxE1jWcicxYh+E6GiUxZfgJF1/OVXNNatNcgLZW/FaNo8j4H
G6j3dwVJ0l4A2B5ZE+Kp1oD8pZeVInMkD3pTt3p+P4na7dmHWYDuo+KT8rNgWdM0
PuCfUPMR9W0Fx2Ruh+MZkVwUOzGiAoUjBAQ/z641scDqnOY0x/cBWkwkCuYgIINd
6N82pdfEwTOoAzRFJwFp
=z0gs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Jul 2012 07:40:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:17:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.